package com.ruoyi.gysl.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**负面清单管理
 *
 */

@Data
@ApiModel("负面清单管理")
public class Fmqd {

    //主键id
    @ApiModelProperty("主键id")
    private Integer id;

    //项目名称
    @ApiModelProperty("项目名称")
    private String name;

    //现状分类1：已建
    @ApiModelProperty("现状分类1：已建")
    private Integer xzfl;

    //项目法人单位
    @ApiModelProperty("项目法人单位")
    private String xmfrdw;

    //项目建设起止时间
    @ApiModelProperty("项目建设起止时间")
    private String xmjsqzsj;

    //总投资额
    @ApiModelProperty("总投资额")
    private BigDecimal ztze;

    //总用地面积
    @ApiModelProperty("总用地面积")
    private BigDecimal zydmj;

    //创建者id
    @ApiModelProperty("创建者id")
    private Integer createId;

    //创建时间
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    //创建者
    @ApiModelProperty("创建者")
    private String createBy;

    //更新者id
    @ApiModelProperty("更新者id")
    private Long updateId;

    //更新者
    @ApiModelProperty("更新者")
    private String updateBy;

    //更新时间
    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
